For the complete documentation index, see llms.txt. This page is also available as Markdown.

Registration

Check availability

Check the availability of one or more clusters

POST /v1/names/register/check

Name
Description

BODY

string[] - an array of names to check

Example

curl --request POST \
  --url https://api.clusters.xyz/v1/names/register/check \
  --header 'Content-Type: application/json' \
  --data '["foobar", "namethatdoesntexist"]'

Response

[
  {
    "name": "foobar",
    "isAvailable": false
  },
  {
    "name": "namethatdoesntexist",
    "isAvailable": true
  }
]

Registration data

POST /v1/names/register/evm

POST /v1/names/register/solana

Get the transaction data for registering a cluster so that a user can sign it

Name
Description

network

sender

The sender's address

names

{ name: string; amountWei?: string }[] bidAmountWei (optional) is always in ETH and defaults to 0.01 ETH

referralClusterId (optional)

The cluster id that is referring this registration

Example

Response

Names unavailable

Bridge Failure

Example

Response

Names unavailable

Bridge Failure

Using transaction data


Trasaction Status

Checks the status of a transaction

GET /v1/names/register/tx/:tx

For now, if you registered more than one name in a transaction, it'll only give you the status of the first name. To enable testnet querying on Sepolia, add ?testnet=true to the end of the URL

Example

Response

Last updated